### Hierarchy

- ComponentStateProps

## Index

### Properties

- actionOnPress
- actionTitle
- description
- image
- imageSource
- styles
- title

## Properties

### Optional actionOnPress

actionOnPress: undefined | function

- Defined in components/ComponentState/ComponentState.tsx:34

Action onPress handler

### Optional actionTitle

actionTitle: undefined | string

- Defined in components/ComponentState/ComponentState.tsx:29

Action title

### Optional description

description: undefined | string

- Defined in components/ComponentState/ComponentState.tsx:39

Description Text

### Optional image

image: React.ReactNode

- Defined in components/ComponentState/ComponentState.tsx:44

Image Component, if provided, imageSource will be ignored

### Optional imageSource

imageSource: undefined | string

- Defined in components/ComponentState/ComponentState.tsx:49

Image source

### Optional styles

styles: ComponentStateStyles

- Defined in components/ComponentState/ComponentState.tsx:57

### Optional title

title: undefined | string

- Defined in components/ComponentState/ComponentState.tsx:54

Title text

Generated using TypeDoc